阿里云
发表主题 回复主题
  • 5342阅读
  • 1回复

[安全漏洞公告专区]【漏洞公告】WordPress 任意文件删除漏洞

级别: 论坛版主
发帖
234
云币
459
阿里云盾应急响应中心监测到国外安全研究组织发布了一篇关于WordPress任意文件删除漏洞的预警文章,恶意攻击者可以利用该漏洞删除WordPress建站配置文件wp-config.php,从而导致界面进入网站安装页面。漏洞原因为WordPress程序 unlink() 函数在处理的用户输入传递给文件删除功能时,未进行适当判断处理,导致任意文件删除。 q}z`Z/`/  
\zDs3Hp  
7^d7:1M  
具体详情如下:
漏洞编号: N/A Ue>{n{H"y  
漏洞名称: WordPress 任意文件删除 6y^GMlsI  
漏洞官方评级: 高危 Bob-qCBV  
漏洞描述: WordPress程序 unlink() 函数在处理的用户输入传递给文件删除功能时,未进行适当判断处理,导致任意文件删除。 m|OB_[9  
漏洞利用条件和方式: (Y^tky$9  
通过PoC直接远程利用。 f)r6F JLU  
PoC状态: x2OAkkH\]i  
未公开 'C>sYSL  
漏洞影响范围: Nz; \PS  
WordPress <= 4.9.6 1FT3d  
漏洞检测: Krl9O]H/[  
开发人员检查是否使用了受影响版本范围内的版本。 .2ZFJ.Z"  
漏洞修复建议(或缓解措施): cVr+Wp7K#|  
目前厂商还没有提供相关补丁,建议使用此软件的用户关注厂商的下载页以获取最新版本: hR.vJ2oa  
https://wordpress.org/download/ )ac!@slb^7  
> +00[T  
临时止血方案: YPCitGBl  
漏洞研究者提供了临时止血方案,可以在当前活动的主题/子主题的 functions.php 文件中添加如下内容: [r'A8!/|[  
Cbm^: _LR  
_8\B~;0  
add_filter( 'wp_update_attachment_metadata', 'rips_unlink_tempfix' ); {lg iH+:  
U;!J(Us  
 }Fox  
function rips_unlink_tempfix( $data ) { 4x#tUzb;  
    if( isset($data['thumb']) ) { K{B|  
        $data['thumb'] = basename($data['thumb']); wTG(U3{3K  
    } H/={RuU  
ZNL+w4  
v53|)]V  
    return $data; ibG>|hV  
} S_ ;r!.  
注意:修复前请使用ECS快照功能进行备份。进行充分测试后进行修复。 GJs~aRiz  
YBF$/W+=9|  
情报来源: m - hZ5 i  
  • https://blog.ripstech.com/2018/wordpress-file-delete-to-code-execution
 nb6Y/`G  
[ 此帖被正禾在2018-06-28 11:51重新编辑 ]
级别: 新人
发帖
1
云币
1
只看该作者 沙发  发表于: 07-08
Re【漏洞公告】WordPress 任意文件删除漏洞
赶紧封堵啊;
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
批量上传需要先选择文件,再选择上传
 
验证问题: ECS是阿里云提供的什么服务? 正确答案:云服务器
上一个 下一个